Subject: Re: [regext] I-D Action: draft-ietf-regext-tmch-func-spec-00.txt

From: Gustavo Lozano <[email-masked]>
Date: Fri, 15 Jul 2016 19:01:24 +0000

Colleagues,

I think it¹s worth mentioning that a new version of the Matching Rules
document has been published at:
* 
https://newgtlds.icann.org/en/about/trademark-clearinghouse/matching-rules-1
4jul16-en.pdf

I will publish a new version of draft-ietf-regext-tmch-func-spec referencing
the new Matching Rules document once the I-D submission tool is reopened.

Regards,
Gustavo

From:  regext <[email-masked]> on behalf of Gustavo Lozano
<[email-masked]>
Date:  Friday, June 17, 2016 at 15:13
To:  James Galvin <[email-masked]>
Cc:  "[email-masked]" <[email-masked]>, Patrik Fältström <[email-masked]>
Subject:  Re: [regext] I-D Action: draft-ietf-regext-tmch-func-spec-00.txt

> Jim and Patrick,
>  
> I thought provided a response to your questions, but if not,, please let me
> know specific issues and I will try to address them promptly.
> 
> 
> Let me try to explain the approach of the draft.
> 
> 
> The Trademark Validator (TMV) implements an algorithm
> (https://newgtlds.icann.org/en/about/trademark-clearinghouse/matching-rules-24
> sep12-en.pdf ) to translate a trademark into one or more (permutations are
> possible) A-labels or NR-LDH labels (i.e. potential labels for registration
> and/or protection), which I added as a normative reference in my draft. The
> potential labels for registration and/or protection are included in the SMD,
> sunrise and claims lists.
>  
> During the sunrise period, a registry needs to validate that the domain name
> being allocated is included in the list of potential labels for registration
> within the SMD. 
>  
> During claims, a registry needs to validate the assertion that the Registrar
> showed a claims notice if the domain name being allocated is included in the
> claims list. 
>  
> The RPM requirements document
> (https://newgtlds.icann.org/en/about/trademark-clearinghouse/rpm-requirements-
> 30sep13-en.pdf ) defines the requirements in case of IDN variants:
> "During the Claims Period, if Registry Operator has established IDN variant
> policies for Allocation of domain names in the TLD, Registry Operator must
> check all labels in a variant set against the Domain Name Label List before
> any domain names in the set are registered. "
>  
> People may not agree with the algorithm used by the TMV, but this document was
> defined in the context of the new gTLD program. Even if the algorithm were to
> be updated, the specification defined in my draft continues to be the same,
> because it uses the output of the algorithm as a black box.
>  
> The matching rules document is now part of the "Normative References", and it
> is mentioned in the Glossary, in order to allow a reader to understand the
> complete picture of the TMCH/TMDB model, but a developer (TMDB, Registry or
> Registrar) of this draft should be able to implement the requirements without
> knowing about the [MatchingRules].
> 
> 
> Regards,
> Gustavo
> 
> On 6/17/16, 06:36, "James Galvin" <[email-masked]> wrote:
> 
>> Gustavo,
>> 
>> Unfortunately, as Patrik noted, the document needs a normative reference
>> to a matching algorithm.  You have stated that you will bring that to
>> the attention of the appropriate ICANN folks, but I do not see how this
>> document can move forward without that.
>> 
>> It is a technical issue and affects interoperability, which makes a
>> resolution essential.
>> 
>> I¹m interested in other opinions but I do not believe this document
>> can move forward without this.
>> 
>> Jim
>> 
>> 
>> 
>> On 16 Jun 2016, at 19:35, Gustavo Lozano wrote:
>> 
>>> Dear chairs, working group,
>>> 
>>> 
>>> I have not received any further comments on the draft
>>> (draft-ietf-regext-tmch-func-spec).
>>> 
>>> 
>>> I think that version 01 of the draft
>>> (https://tools.ietf.org/html/draft-ietf-regext-tmch-func-spec-01)
>>> is ready for publication.
>>> 
>>> 
>>> Regards,
>>> Gustavo
>>> 
>>> 
>>> 
>>> On 6/3/16, 11:50, "James Galvin" <[email-masked]> wrote:
>>> 
>>>> I want to remind the working group that we have the following
>>>> unresolved
>>>> comments regarding draft-ietf-regext-tmch-func-spec.  We need to
>>>> address
>>>> these comments before this document can move forward.
>>>> 
>>>> And please note that draft-ietf-regext-launchphase is dependent on
>>>> this
>>>> document.  It is ready for publication but can not move forward until
>>>> we
>>>> can move both it and tmch-func-spec together.
>>>> 
>>>> Thanks,
>>>> 
>>>> Jim
>>>> 
>>>> 
>>>> 
>>>> On 23 Apr 2016, at 1:53, Patrik Fältström wrote:
>>>> 
>>>>> Comments (some of this can also be fund in SSAC document SAC-060 23
>>>>> July 2013):
>>>>> 
>>>>> 1. It is not clear how permutations of strings are to be calculated
>>>>> (by whom, and how) in the case confusability risks might arise. For
>>>>> example by the use of language tables or other mechanisms like LGRs.
>>>>> 
>>>>> 2. The term "leftmost" is a bit confusing when talking about labels
>>>>> in
>>>>> DNS. I propose using "first" as in logical order.
>>>>> 
>>>>> 3. The matching algorithm is not described, who is implementing it
>>>>> etc.
>>>>> 
>>>>> 4. There are no instructions on how to handle cases where the
>>>>> matching
>>>>> algorithm in TMCH is different from matching algorithm one "expect"
>>>>> ("one" as in the trademark holder).
>>>>> 
>>>>>     Patrik
>>>>> 
>>>>> On 22 Apr 2016, at 22:39, [email-masked] wrote:
>>>>> 
>>>>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>>>>> directories.
>>>>>> This draft is a work item of the Registration Protocols Extensions
>>>>>> of
>>>>>> the IETF.
>>>>>> 
>>>>>>          Title           : ICANN TMCH functional specifications
>>>>>> Author          : Gustavo Lozano
>>>>>> Filename        : draft-ietf-regext-tmch-func-spec-00.txt
>>>>>> Pages           : 60
>>>>>> Date            : 2016-04-22
>>>>>> 
>>>>>> Abstract:
>>>>>>     This document describes the requirements, the architecture and
>>>>>> the
>>>>>>    interfaces between the ICANN Trademark Clearinghouse (TMCH) and
>>>>>> Domain Name Registries as well as between the ICANN TMCH and Domain
>>>>>> Name Registrars for the provisioning and management of domain names
>>>>>> during Sunrise and Trademark Claims Periods.
>>>>>> 
>>>>>> 
>>>>>> The IETF datatracker status page for this draft is:
>>>>>> https://datatracker.ietf.org/doc/draft-ietf-regext-tmch-func-spec/
>>>>>> 
>>>>>> There's also a htmlized version available at:
>>>>>> https://tools.ietf.org/html/draft-ietf-regext-tmch-func-spec-00
>>>>>> 
>>>>>> 
>>>>>> Please note that it may take a couple of minutes from the time of
>>>>>> submission until the htmlized version and diff are available at
>>>>>> tools.ietf.org.
>>>>>> 
>>>>>> Internet-Drafts are also available by anonymous FTP at:
>>>>>> ftp://ftp.ietf.org/internet-drafts/
>>>>>> 
>>>>>> _______________________________________________
>>>>>> I-D-Announce mailing list
>>>>>> [email-masked]
>>>>>> https://www.ietf.org/mailman/listinfo/i-d-announce
>>>>>> Internet-Draft directories: http://www.ietf.org/shadow.html
>>>>>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>>>> _______________________________________________
>>>>> regext mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/regext
>>